Bluetooth 04ca:3011 [Asus Aspire V3-371] doesn't work

Bug #1535802 reported by V-Mark on 2016-01-19
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Pilot6
Yakkety
Undecided
Unassigned

Bug Description

USB device 04ca:3011 is a combo Atheros device's bluetooth adapter.
In back of laptop the adapter's label states as: PPD-QCNFA34AC

WORKAROUND for kernel 4.4:

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1535802-dkms_0.1_all.deb
sudo dpkg -i btusb-lp1535802-dkms_0.1_all.deb

By default my kernel recognize as generic Bluetooth,
I can switch on/off, make it visible,
BUT actually it cannot see anything and no other devices can see it.

However
It works well (tested) as "QCA ROME chipset" so adding a line:

        { USB_DEVICE(0x04ca, 0x3011), .driver_info = BTUSB_QCA_ROME },

in btusb.c (compile, install as module, and modprobe) made the trick.

lsusb:
Bus 003 Device 004: ID 04ca:3011 Lite-On Technology Corp.

I added the diff file of drivers/bluetooth/btusb.c

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: linux-image-4.2.0-23-generic 4.2.0-23.28
ProcVersionSignature: Ubuntu 4.2.0-23.28-generic 4.2.6
Uname: Linux 4.2.0-23-generic i686
ApportVersion: 2.19.1-0ubuntu5
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: mark 1476 F.... pulseaudio
 /dev/snd/controlC0: mark 1476 F.... pulseaudio
CurrentDesktop: Unity
Date: Tue Jan 19 17:03:18 2016
HibernationDevice: RESUME=UUID=66dc8cfd-62d6-411b-9edf-c509aac14318
InstallationDate: Installed on 2015-10-26 (85 days ago)
InstallationMedia: Ubuntu "Wily" - Build i386 LIVE Binary 20151022-23:55
MachineType: Acer Aspire V3-371
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-23-generic root=UUID=403e935b-5da2-4b34-8dd7-14f1c0cf0846 ro quiet splash
RelatedPackageVersions:
 linux-restricted-modules-4.2.0-23-generic N/A
 linux-backports-modules-4.2.0-23-generic N/A
 linux-firmware 1.149.3
SourcePackage: linux
UdevLog: Error: [Errno 2] Nincs ilyen fájl vagy könyvtár: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/21/2015
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.28
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Aspire V3-371
dmi.board.vendor: Acer
dmi.board.version: V1.28
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: V1.28
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.28:bd08/21/2015:svnAcer:pnAspireV3-371:pvrV1.28:rvnAcer:rnAspireV3-371:rvrV1.28:cvnAcer:ct10:cvrV1.28:
dmi.product.name: Aspire V3-371
dmi.product.version: V1.28
dmi.sys.vendor: Acer

CVE References

V-Mark (vertesmark) wrote :
description: updated
tags: added: patch
V-Mark (vertesmark) on 2016-01-19
description: updated
description: updated

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium

V-Mark, the issue you are reporting is an upstream one. Could you please report this problem following the instructions verbatim at https://wiki.ubuntu.com/Bugs/Upstream/kernel to the appropriate mailing list (TO Marcel Holtmann, Gustavo Padovan, and Johan Hedberg CC linux-bluetooth)?

Please provide a direct URL to your post to the mailing list when it becomes available so that it may be tracked.

Thank you for your understanding.

tags: added: bios-outdated-1.29
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Pilot6 (hanipouspilot) wrote :

If anyone affected by this bug adds the output of

usb-debices | awk '/3011/' RS=

I will send this patch upstream.

Pilot6 (hanipouspilot) wrote :

A typo fix. The command is

usb-devices | awk '/3011/' RS=

Pilot6 (hanipouspilot) wrote :

Christopher,

Sending issues upstream without a patch against bluetooth-next tree does not work ;-)

Pilot6, I agree sending a notice to the maintainers without a patch isn't as effective as sending with a patch. However, sending a notice without a patch isn't the worst case scenario.

faur (fagor) wrote :

usb-devices | awk '/3011/' RS=

T: Bus=01 Lev=02 Prnt=02 Port=04 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=3011 Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

Pilot6 (hanipouspilot) on 2016-09-21
Changed in linux (Ubuntu):
assignee: nobody → Pilot6 (hanipouspilot)
status: Triaged → In Progress
faur (fagor) wrote :

Apply fix - all work fine. Thanks a lot.

Pilot6 (hanipouspilot) wrote :

I made a dkms btusb module for @fagor and it is tested successfully.

wget https://launchpad.net/~hanipouspilot/+archive/ubuntu/bluetooth/+files/btusb-lp1535802-dkms_0.1_all.deb
sudo dpkg -i btusb-lp1535802-dkms_0.1_all.deb

BugLink: https://bugs.launchpad.net/bugs/1535802

T: Bus=01 Lev=02 Prnt=02 Port=04 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
P: Vendor=04ca ProdID=3011 Rev=00.01
C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb

Signed-off-by: Dmitry Tunin <email address hidden>
Cc: <email address hidden>
---
 drivers/bluetooth/btusb.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/drivers/bluetooth/btusb.c b/drivers/bluetooth/btusb.c
index 9ebd73d..6bd63b8 100644
--- a/drivers/bluetooth/btusb.c
+++ b/drivers/bluetooth/btusb.c
@@ -253,6 +253,7 @@ static const struct usb_device_id blacklist_table[] = {
  { USB_DEVICE(0x0cf3, 0xe300), .driver_info = BTUSB_QCA_ROME },
  { USB_DEVICE(0x0cf3, 0xe360), .driver_info = BTUSB_QCA_ROME },
  { USB_DEVICE(0x0489, 0xe092), .driver_info = BTUSB_QCA_ROME },
+ { USB_DEVICE(0x04ca, 0x3011), .driver_info = BTUSB_QCA_ROME },

  /* Broadcom BCM2035 */
  { USB_DEVICE(0x0a5c, 0x2009), .driver_info = BTUSB_BCM92035 },
--
2.7.4

Pilot6 (hanipouspilot) wrote :

The patch has been sent upstream.

Pilot6 (hanipouspilot) on 2016-09-21
description: updated
description: updated
Marcel Holtmann (holtmann) wrote :

Hi Dmitry,

> BugLink: https://bugs.launchpad.net/bugs/1535802
>
> T: Bus=01 Lev=02 Prnt=02 Port=04 Cnt=01 Dev#= 3 Spd=12 MxCh= 0
> D: Ver= 1.10 Cls=e0(wlcon) Sub=01 Prot=01 MxPS=64 #Cfgs= 1
> P: Vendor=04ca ProdID=3011 Rev=00.01
> C: #Ifs= 2 Cfg#= 1 Atr=e0 MxPwr=100mA
> I: If#= 0 Alt= 0 #EPs= 3 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
> I: If#= 1 Alt= 0 #EPs= 2 Cls=e0(wlcon) Sub=01 Prot=01 Driver=btusb
>
> Signed-off-by: Dmitry Tunin <email address hidden>
> Cc: <email address hidden>
> ---
> drivers/bluetooth/btusb.c | 1 +
> 1 file changed, 1 insertion(+)

patch has been applied to bluetooth-next tree.

Regards

Marcel

tags: added: cherry-pick
Luis Henriques (henrix) on 2016-11-11
Changed in linux (Ubuntu Yakkety):
status: New → Fix Committed
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-yakkety' to 'verification-done-yakkety'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-yakkety
Po-Hsu Lin (cypressyew) wrote :

Hello folks,
can anyone verify this with Yakkety proposed kernel?
Thanks

Launchpad Janitor (janitor) wrote :
Download full text (26.6 KiB)

This bug was fixed in the package linux - 4.8.0-28.30

---------------
linux (4.8.0-28.30) yakkety; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1641083

  * lxc-attach to malicious container allows access to host (LP: #1639345)
    - Revert "UBUNTU: SAUCE: (noup) ptrace: being capable wrt a process requires
      mapped uids/gids"
    - (upstream) mm: Add a user_ns owner to mm_struct and fix ptrace permission
      checks

  * [Feature] AVX-512 new instruction sets (avx512_4vnniw, avx512_4fmaps)
    (LP: #1637526)
    - x86/cpufeature: Add AVX512_4VNNIW and AVX512_4FMAPS features

  * zfs: importing zpool with vdev on zvol hangs kernel (LP: #1636517)
    - SAUCE: (noup) Update zfs to 0.6.5.8-0ubuntu4.1

  * Move some device drivers build from kernel built-in to modules
    (LP: #1637303)
    - [Config] CONFIG_TIGON3=m for all arches
    - [Config] CONFIG_VIRTIO_BLK=m, CONFIG_VIRTIO_NET=m

  * I2C touchpad does not work on AMD platform (LP: #1612006)
    - pinctrl/amd: Configure GPIO register using BIOS settings

  * guest experiencing Transmit Timeouts on CX4 (LP: #1636330)
    - powerpc/64: Re-fix race condition between going idle and entering guest
    - powerpc/64: Fix race condition in setting lock bit in idle/wakeup code

  * QEMU throws failure msg while booting guest with SRIOV VF (LP: #1630554)
    - KVM: PPC: Always select KVM_VFIO, plus Makefile cleanup

  * [Feature] KBL - New device ID for Kabypoint(KbP) (LP: #1591618)
    - SAUCE: mfd: lpss: Fix Intel Kaby Lake PCH-H properties

  * hio: SSD data corruption under stress test (LP: #1638700)
    - SAUCE: hio: set bi_error field to signal an I/O error on a BIO
    - SAUCE: hio: splitting bio in the entry of .make_request_fn

  * cleanup primary tree for linux-hwe layering issues (LP: #1637473)
    - [Config] switch Vcs-Git: to yakkety repository
    - [Packaging] handle both linux-lts* and linux-hwe* as backports
    - [Config] linux-tools-common and linux-cloud-tools-common are one per series
    - [Config] linux-source-* is in the primary linux namespace
    - [Config] linux-tools -- always suggest the base package

  * SRU: sync zfsutils-linux and spl-linux changes to linux (LP: #1635656)
    - SAUCE: (noup) Update spl to 0.6.5.8-2, zfs to 0.6.5.8-0ubuntu4 (LP:
      #1635656)

  * [Feature] SKX: perf uncore PMU support (LP: #1591810)
    - perf/x86/intel/uncore: Add Skylake server uncore support
    - perf/x86/intel/uncore: Remove hard-coded implementation for Node ID mapping
      location
    - perf/x86/intel/uncore: Handle non-standard counter offset

  * [Feature] Purley: Memory Protection Keys (LP: #1591804)
    - x86/pkeys: Add fault handling for PF_PK page fault bit
    - mm: Implement new pkey_mprotect() system call
    - x86/pkeys: Make mprotect_key() mask off additional vm_flags
    - x86/pkeys: Allocation/free syscalls
    - x86: Wire up protection keys system calls
    - generic syscalls: Wire up memory protection keys syscalls
    - pkeys: Add details of system call use to Documentation/
    - x86/pkeys: Default to a restrictive init PKRU
    - x86/pkeys: Allow configuration of init_pkru
    - x86/pkeys: Add self-tests

  * kernel invalid ...

Changed in linux (Ubuntu Yakkety):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 4.8.0-30.32

---------------
linux (4.8.0-30.32) yakkety; urgency=low

  * CVE-2016-8655 (LP: #1646318)
    - packet: fix race condition in packet_set_ring

 -- Brad Figg <email address hidden> Thu, 01 Dec 2016 08:02:53 -0800

Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers